source: Makefile.in @ f60d997

ADTaaron-thesisarm-ehast-experimentalcleanup-dtorsctordeferred_resndemanglerenumforall-pointer-decaygc_noraiijacob/cs343-translationjenkins-sandboxmemorynew-astnew-ast-unique-exprnew-envno_listpersistent-indexerpthread-emulationqualifiedEnumresolv-newstringwith_gc
Last change on this file since f60d997 was 6e7e2b36, checked in by Peter A. Buhr <pabuhr@…>, 9 years ago

redo automake seventh attempt

  • Property mode set to 100644
File size: 22.8 KB
Line 
1# Makefile.in generated by automake 1.11.3 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6# Foundation, Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17
18######################## -*- Mode: Makefile-Automake -*- ######################
19###############################################################################
20VPATH = @srcdir@
21pkgdatadir = $(datadir)/@PACKAGE@
22pkgincludedir = $(includedir)/@PACKAGE@
23pkglibdir = $(libdir)/@PACKAGE@
24pkglibexecdir = $(libexecdir)/@PACKAGE@
25am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
26install_sh_DATA = $(install_sh) -c -m 644
27install_sh_PROGRAM = $(install_sh) -c
28install_sh_SCRIPT = $(install_sh) -c
29INSTALL_HEADER = $(INSTALL_DATA)
30transform = $(program_transform_name)
31NORMAL_INSTALL = :
32PRE_INSTALL = :
33POST_INSTALL = :
34NORMAL_UNINSTALL = :
35PRE_UNINSTALL = :
36POST_UNINSTALL = :
37subdir = .
38DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
39        $(srcdir)/Makefile.in $(srcdir)/config.h.in \
40        $(top_srcdir)/configure INSTALL automake/compile \
41        automake/depcomp automake/install-sh automake/missing \
42        automake/ylwrap
43ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
44am__aclocal_m4_deps = $(top_srcdir)/configure.ac
45am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
46        $(ACLOCAL_M4)
47am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
48 configure.lineno config.status.lineno
49mkinstalldirs = $(install_sh) -d
50CONFIG_HEADER = config.h
51CONFIG_CLEAN_FILES =
52CONFIG_CLEAN_VPATH_FILES =
53SOURCES =
54DIST_SOURCES =
55RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
56        html-recursive info-recursive install-data-recursive \
57        install-dvi-recursive install-exec-recursive \
58        install-html-recursive install-info-recursive \
59        install-pdf-recursive install-ps-recursive install-recursive \
60        installcheck-recursive installdirs-recursive pdf-recursive \
61        ps-recursive uninstall-recursive
62RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
63  distclean-recursive maintainer-clean-recursive
64AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
65        $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
66        distdir dist dist-all distcheck
67ETAGS = etags
68CTAGS = ctags
69DIST_SUBDIRS = $(SUBDIRS)
70DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
71distdir = $(PACKAGE)-$(VERSION)
72top_distdir = $(distdir)
73am__remove_distdir = \
74  if test -d "$(distdir)"; then \
75    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
76      && rm -rf "$(distdir)" \
77      || { sleep 5 && rm -rf "$(distdir)"; }; \
78  else :; fi
79am__relativize = \
80  dir0=`pwd`; \
81  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
82  sed_rest='s,^[^/]*/*,,'; \
83  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
84  sed_butlast='s,/*[^/]*$$,,'; \
85  while test -n "$$dir1"; do \
86    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
87    if test "$$first" != "."; then \
88      if test "$$first" = ".."; then \
89        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
90        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
91      else \
92        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
93        if test "$$first2" = "$$first"; then \
94          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
95        else \
96          dir2="../$$dir2"; \
97        fi; \
98        dir0="$$dir0"/"$$first"; \
99      fi; \
100    fi; \
101    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
102  done; \
103  reldir="$$dir2"
104DIST_ARCHIVES = $(distdir).tar.gz
105GZIP_ENV = --best
106distuninstallcheck_listfiles = find . -type f -print
107am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
108  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
109distcleancheck_listfiles = find . -type f -print
110ACLOCAL = @ACLOCAL@
111ALLOCA = @ALLOCA@
112AMTAR = @AMTAR@
113AUTOCONF = @AUTOCONF@
114AUTOHEADER = @AUTOHEADER@
115AUTOMAKE = @AUTOMAKE@
116AWK = @AWK@
117BACKEND_CC = @BACKEND_CC@               # C compiler used to compile Cforall programs, versus C++ compiler used to build cfa command
118CC = @CC@
119CCDEPMODE = @CCDEPMODE@
120CFA_BINDIR = @CFA_BINDIR@
121CFA_INCDIR = @CFA_INCDIR@
122CFA_LIBDIR = @CFA_LIBDIR@
123CFA_PREFIX = @CFA_PREFIX@
124CFLAGS = @CFLAGS@
125CPP = @CPP@
126CPPFLAGS = @CPPFLAGS@
127CXX = @CXX@
128CXXDEPMODE = @CXXDEPMODE@
129CXXFLAGS = @CXXFLAGS@
130CYGPATH_W = @CYGPATH_W@
131DEFS = @DEFS@
132DEPDIR = @DEPDIR@
133ECHO_C = @ECHO_C@
134ECHO_N = @ECHO_N@
135ECHO_T = @ECHO_T@
136EGREP = @EGREP@
137EXEEXT = @EXEEXT@
138GCC_PATH = @GCC_PATH@
139GREP = @GREP@
140INSTALL = @INSTALL@
141INSTALL_DATA = @INSTALL_DATA@
142INSTALL_PROGRAM = @INSTALL_PROGRAM@
143INSTALL_SCRIPT = @INSTALL_SCRIPT@
144INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
145LDFLAGS = @LDFLAGS@
146LEX = @LEX@
147LEXLIB = @LEXLIB@
148LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
149LIBOBJS = @LIBOBJS@
150LIBS = @LIBS@
151LTLIBOBJS = @LTLIBOBJS@
152MAINT = @MAINT@
153MAKEINFO = @MAKEINFO@
154MKDIR_P = @MKDIR_P@
155OBJEXT = @OBJEXT@
156PACKAGE = @PACKAGE@
157PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
158PACKAGE_NAME = @PACKAGE_NAME@
159PACKAGE_STRING = @PACKAGE_STRING@
160PACKAGE_TARNAME = @PACKAGE_TARNAME@
161PACKAGE_URL = @PACKAGE_URL@
162PACKAGE_VERSION = @PACKAGE_VERSION@
163PATH_SEPARATOR = @PATH_SEPARATOR@
164RANLIB = @RANLIB@
165SET_MAKE = @SET_MAKE@
166SHELL = @SHELL@
167STRIP = @STRIP@
168VERSION = @VERSION@
169YACC = @YACC@
170YFLAGS = @YFLAGS@
171abs_builddir = @abs_builddir@
172abs_srcdir = @abs_srcdir@
173abs_top_builddir = @abs_top_builddir@
174abs_top_srcdir = @abs_top_srcdir@
175ac_ct_CC = @ac_ct_CC@
176ac_ct_CXX = @ac_ct_CXX@
177am__include = @am__include@
178am__leading_dot = @am__leading_dot@
179am__quote = @am__quote@
180am__tar = @am__tar@
181am__untar = @am__untar@
182bindir = @bindir@
183build_alias = @build_alias@
184builddir = @builddir@
185datadir = @datadir@
186datarootdir = @datarootdir@
187docdir = @docdir@
188dvidir = @dvidir@
189exec_prefix = @exec_prefix@
190host_alias = @host_alias@
191htmldir = @htmldir@
192includedir = @includedir@
193infodir = @infodir@
194install_sh = @install_sh@
195libdir = @libdir@
196libexecdir = @libexecdir@
197localedir = @localedir@
198localstatedir = @localstatedir@
199mandir = @mandir@
200mkdir_p = @mkdir_p@
201oldincludedir = @oldincludedir@
202pdfdir = @pdfdir@
203prefix = @prefix@
204program_transform_name = @program_transform_name@
205psdir = @psdir@
206sbindir = @sbindir@
207sharedstatedir = @sharedstatedir@
208srcdir = @srcdir@
209sysconfdir = @sysconfdir@
210target_alias = @target_alias@
211top_build_prefix = @top_build_prefix@
212top_builddir = @top_builddir@
213top_srcdir = @top_srcdir@
214AUTOMAKE_OPTIONS = foreign              # do not require all the GNU file names
215SUBDIRS = src/driver src src/libcfa     # order important, src before libcfa because cfa-cpp used to build prelude
216EXTRA_DIST = Docs                       # non-source files
217all: config.h
218        $(MAKE) $(AM_MAKEFLAGS) all-recursive
219
220.SUFFIXES:
221am--refresh: Makefile
222        @:
223$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
224        @for dep in $?; do \
225          case '$(am__configure_deps)' in \
226            *$$dep*) \
227              echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
228              $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
229                && exit 0; \
230              exit 1;; \
231          esac; \
232        done; \
233        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
234        $(am__cd) $(top_srcdir) && \
235          $(AUTOMAKE) --foreign Makefile
236.PRECIOUS: Makefile
237Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
238        @case '$?' in \
239          *config.status*) \
240            echo ' $(SHELL) ./config.status'; \
241            $(SHELL) ./config.status;; \
242          *) \
243            echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
244            cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
245        esac;
246
247$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
248        $(SHELL) ./config.status --recheck
249
250$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
251        $(am__cd) $(srcdir) && $(AUTOCONF)
252$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
253        $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
254$(am__aclocal_m4_deps):
255
256config.h: stamp-h1
257        @if test ! -f $@; then rm -f stamp-h1; else :; fi
258        @if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) stamp-h1; else :; fi
259
260stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
261        @rm -f stamp-h1
262        cd $(top_builddir) && $(SHELL) ./config.status config.h
263$(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
264        ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
265        rm -f stamp-h1
266        touch $@
267
268distclean-hdr:
269        -rm -f config.h stamp-h1
270
271# This directory's subdirectories are mostly independent; you can cd
272# into them and run `make' without going through this Makefile.
273# To change the values of `make' variables: instead of editing Makefiles,
274# (1) if the variable is set in `config.status', edit `config.status'
275#     (which will cause the Makefiles to be regenerated when you run `make');
276# (2) otherwise, pass the desired values on the `make' command line.
277$(RECURSIVE_TARGETS):
278        @fail= failcom='exit 1'; \
279        for f in x $$MAKEFLAGS; do \
280          case $$f in \
281            *=* | --[!k]*);; \
282            *k*) failcom='fail=yes';; \
283          esac; \
284        done; \
285        dot_seen=no; \
286        target=`echo $@ | sed s/-recursive//`; \
287        list='$(SUBDIRS)'; for subdir in $$list; do \
288          echo "Making $$target in $$subdir"; \
289          if test "$$subdir" = "."; then \
290            dot_seen=yes; \
291            local_target="$$target-am"; \
292          else \
293            local_target="$$target"; \
294          fi; \
295          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
296          || eval $$failcom; \
297        done; \
298        if test "$$dot_seen" = "no"; then \
299          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
300        fi; test -z "$$fail"
301
302$(RECURSIVE_CLEAN_TARGETS):
303        @fail= failcom='exit 1'; \
304        for f in x $$MAKEFLAGS; do \
305          case $$f in \
306            *=* | --[!k]*);; \
307            *k*) failcom='fail=yes';; \
308          esac; \
309        done; \
310        dot_seen=no; \
311        case "$@" in \
312          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
313          *) list='$(SUBDIRS)' ;; \
314        esac; \
315        rev=''; for subdir in $$list; do \
316          if test "$$subdir" = "."; then :; else \
317            rev="$$subdir $$rev"; \
318          fi; \
319        done; \
320        rev="$$rev ."; \
321        target=`echo $@ | sed s/-recursive//`; \
322        for subdir in $$rev; do \
323          echo "Making $$target in $$subdir"; \
324          if test "$$subdir" = "."; then \
325            local_target="$$target-am"; \
326          else \
327            local_target="$$target"; \
328          fi; \
329          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
330          || eval $$failcom; \
331        done && test -z "$$fail"
332tags-recursive:
333        list='$(SUBDIRS)'; for subdir in $$list; do \
334          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
335        done
336ctags-recursive:
337        list='$(SUBDIRS)'; for subdir in $$list; do \
338          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
339        done
340
341ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
342        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
343        unique=`for i in $$list; do \
344            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
345          done | \
346          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
347              END { if (nonempty) { for (i in files) print i; }; }'`; \
348        mkid -fID $$unique
349tags: TAGS
350
351TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
352                $(TAGS_FILES) $(LISP)
353        set x; \
354        here=`pwd`; \
355        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
356          include_option=--etags-include; \
357          empty_fix=.; \
358        else \
359          include_option=--include; \
360          empty_fix=; \
361        fi; \
362        list='$(SUBDIRS)'; for subdir in $$list; do \
363          if test "$$subdir" = .; then :; else \
364            test ! -f $$subdir/TAGS || \
365              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
366          fi; \
367        done; \
368        list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
369        unique=`for i in $$list; do \
370            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
371          done | \
372          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
373              END { if (nonempty) { for (i in files) print i; }; }'`; \
374        shift; \
375        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
376          test -n "$$unique" || unique=$$empty_fix; \
377          if test $$# -gt 0; then \
378            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
379              "$$@" $$unique; \
380          else \
381            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
382              $$unique; \
383          fi; \
384        fi
385ctags: CTAGS
386CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
387                $(TAGS_FILES) $(LISP)
388        list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
389        unique=`for i in $$list; do \
390            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
391          done | \
392          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
393              END { if (nonempty) { for (i in files) print i; }; }'`; \
394        test -z "$(CTAGS_ARGS)$$unique" \
395          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
396             $$unique
397
398GTAGS:
399        here=`$(am__cd) $(top_builddir) && pwd` \
400          && $(am__cd) $(top_srcdir) \
401          && gtags -i $(GTAGS_ARGS) "$$here"
402
403distclean-tags:
404        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
405
406distdir: $(DISTFILES)
407        $(am__remove_distdir)
408        test -d "$(distdir)" || mkdir "$(distdir)"
409        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
410        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
411        list='$(DISTFILES)'; \
412          dist_files=`for file in $$list; do echo $$file; done | \
413          sed -e "s|^$$srcdirstrip/||;t" \
414              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
415        case $$dist_files in \
416          */*) $(MKDIR_P) `echo "$$dist_files" | \
417                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
418                           sort -u` ;; \
419        esac; \
420        for file in $$dist_files; do \
421          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
422          if test -d $$d/$$file; then \
423            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
424            if test -d "$(distdir)/$$file"; then \
425              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
426            fi; \
427            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
428              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
429              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
430            fi; \
431            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
432          else \
433            test -f "$(distdir)/$$file" \
434            || cp -p $$d/$$file "$(distdir)/$$file" \
435            || exit 1; \
436          fi; \
437        done
438        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
439          if test "$$subdir" = .; then :; else \
440            test -d "$(distdir)/$$subdir" \
441            || $(MKDIR_P) "$(distdir)/$$subdir" \
442            || exit 1; \
443          fi; \
444        done
445        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
446          if test "$$subdir" = .; then :; else \
447            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
448            $(am__relativize); \
449            new_distdir=$$reldir; \
450            dir1=$$subdir; dir2="$(top_distdir)"; \
451            $(am__relativize); \
452            new_top_distdir=$$reldir; \
453            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
454            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
455            ($(am__cd) $$subdir && \
456              $(MAKE) $(AM_MAKEFLAGS) \
457                top_distdir="$$new_top_distdir" \
458                distdir="$$new_distdir" \
459                am__remove_distdir=: \
460                am__skip_length_check=: \
461                am__skip_mode_fix=: \
462                distdir) \
463              || exit 1; \
464          fi; \
465        done
466        -test -n "$(am__skip_mode_fix)" \
467        || find "$(distdir)" -type d ! -perm -755 \
468                -exec chmod u+rwx,go+rx {} \; -o \
469          ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
470          ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
471          ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
472        || chmod -R a+r "$(distdir)"
473dist-gzip: distdir
474        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
475        $(am__remove_distdir)
476
477dist-bzip2: distdir
478        tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
479        $(am__remove_distdir)
480
481dist-lzip: distdir
482        tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
483        $(am__remove_distdir)
484
485dist-lzma: distdir
486        tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
487        $(am__remove_distdir)
488
489dist-xz: distdir
490        tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
491        $(am__remove_distdir)
492
493dist-tarZ: distdir
494        tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
495        $(am__remove_distdir)
496
497dist-shar: distdir
498        shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
499        $(am__remove_distdir)
500
501dist-zip: distdir
502        -rm -f $(distdir).zip
503        zip -rq $(distdir).zip $(distdir)
504        $(am__remove_distdir)
505
506dist dist-all: distdir
507        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
508        $(am__remove_distdir)
509
510# This target untars the dist file and tries a VPATH configuration.  Then
511# it guarantees that the distribution is self-contained by making another
512# tarfile.
513distcheck: dist
514        case '$(DIST_ARCHIVES)' in \
515        *.tar.gz*) \
516          GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
517        *.tar.bz2*) \
518          bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
519        *.tar.lzma*) \
520          lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
521        *.tar.lz*) \
522          lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
523        *.tar.xz*) \
524          xz -dc $(distdir).tar.xz | $(am__untar) ;;\
525        *.tar.Z*) \
526          uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
527        *.shar.gz*) \
528          GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
529        *.zip*) \
530          unzip $(distdir).zip ;;\
531        esac
532        chmod -R a-w $(distdir); chmod a+w $(distdir)
533        mkdir $(distdir)/_build
534        mkdir $(distdir)/_inst
535        chmod a-w $(distdir)
536        test -d $(distdir)/_build || exit 0; \
537        dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
538          && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
539          && am__cwd=`pwd` \
540          && $(am__cd) $(distdir)/_build \
541          && ../configure --srcdir=.. --prefix="$$dc_install_base" \
542            $(AM_DISTCHECK_CONFIGURE_FLAGS) \
543            $(DISTCHECK_CONFIGURE_FLAGS) \
544          && $(MAKE) $(AM_MAKEFLAGS) \
545          && $(MAKE) $(AM_MAKEFLAGS) dvi \
546          && $(MAKE) $(AM_MAKEFLAGS) check \
547          && $(MAKE) $(AM_MAKEFLAGS) install \
548          && $(MAKE) $(AM_MAKEFLAGS) installcheck \
549          && $(MAKE) $(AM_MAKEFLAGS) uninstall \
550          && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
551                distuninstallcheck \
552          && chmod -R a-w "$$dc_install_base" \
553          && ({ \
554               (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
555               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
556               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
557               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
558                    distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
559              } || { rm -rf "$$dc_destdir"; exit 1; }) \
560          && rm -rf "$$dc_destdir" \
561          && $(MAKE) $(AM_MAKEFLAGS) dist \
562          && rm -rf $(DIST_ARCHIVES) \
563          && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
564          && cd "$$am__cwd" \
565          || exit 1
566        $(am__remove_distdir)
567        @(echo "$(distdir) archives ready for distribution: "; \
568          list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
569          sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
570distuninstallcheck:
571        @test -n '$(distuninstallcheck_dir)' || { \
572          echo 'ERROR: trying to run $@ with an empty' \
573               '$$(distuninstallcheck_dir)' >&2; \
574          exit 1; \
575        }; \
576        $(am__cd) '$(distuninstallcheck_dir)' || { \
577          echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
578          exit 1; \
579        }; \
580        test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
581           || { echo "ERROR: files left after uninstall:" ; \
582                if test -n "$(DESTDIR)"; then \
583                  echo "  (check DESTDIR support)"; \
584                fi ; \
585                $(distuninstallcheck_listfiles) ; \
586                exit 1; } >&2
587distcleancheck: distclean
588        @if test '$(srcdir)' = . ; then \
589          echo "ERROR: distcleancheck can only run from a VPATH build" ; \
590          exit 1 ; \
591        fi
592        @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
593          || { echo "ERROR: files left in build directory after distclean:" ; \
594               $(distcleancheck_listfiles) ; \
595               exit 1; } >&2
596check-am: all-am
597check: check-recursive
598all-am: Makefile config.h
599installdirs: installdirs-recursive
600installdirs-am:
601install: install-recursive
602install-exec: install-exec-recursive
603install-data: install-data-recursive
604uninstall: uninstall-recursive
605
606install-am: all-am
607        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
608
609installcheck: installcheck-recursive
610install-strip:
611        if test -z '$(STRIP)'; then \
612          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
613            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
614              install; \
615        else \
616          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
617            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
618            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
619        fi
620mostlyclean-generic:
621
622clean-generic:
623
624distclean-generic:
625        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
626        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
627
628maintainer-clean-generic:
629        @echo "This command is intended for maintainers to use"
630        @echo "it deletes files that may require special tools to rebuild."
631clean: clean-recursive
632
633clean-am: clean-generic mostlyclean-am
634
635distclean: distclean-recursive
636        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
637        -rm -f Makefile
638distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
639
640dvi: dvi-recursive
641
642dvi-am:
643
644html: html-recursive
645
646html-am:
647
648info: info-recursive
649
650info-am:
651
652install-data-am:
653
654install-dvi: install-dvi-recursive
655
656install-dvi-am:
657
658install-exec-am:
659
660install-html: install-html-recursive
661
662install-html-am:
663
664install-info: install-info-recursive
665
666install-info-am:
667
668install-man:
669
670install-pdf: install-pdf-recursive
671
672install-pdf-am:
673
674install-ps: install-ps-recursive
675
676install-ps-am:
677
678installcheck-am:
679
680maintainer-clean: maintainer-clean-recursive
681        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
682        -rm -rf $(top_srcdir)/autom4te.cache
683        -rm -f Makefile
684maintainer-clean-am: distclean-am maintainer-clean-generic
685
686mostlyclean: mostlyclean-recursive
687
688mostlyclean-am: mostlyclean-generic
689
690pdf: pdf-recursive
691
692pdf-am:
693
694ps: ps-recursive
695
696ps-am:
697
698uninstall-am:
699
700.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all \
701        ctags-recursive install-am install-strip tags-recursive
702
703.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
704        all all-am am--refresh check check-am clean clean-generic \
705        ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
706        dist-lzip dist-lzma dist-shar dist-tarZ dist-xz dist-zip \
707        distcheck distclean distclean-generic distclean-hdr \
708        distclean-tags distcleancheck distdir distuninstallcheck dvi \
709        dvi-am html html-am info info-am install install-am \
710        install-data install-data-am install-dvi install-dvi-am \
711        install-exec install-exec-am install-html install-html-am \
712        install-info install-info-am install-man install-pdf \
713        install-pdf-am install-ps install-ps-am install-strip \
714        installcheck installcheck-am installdirs installdirs-am \
715        maintainer-clean maintainer-clean-generic mostlyclean \
716        mostlyclean-generic pdf pdf-am ps ps-am tags tags-recursive \
717        uninstall uninstall-am
718
719
720# Tell versions [3.59,3.63) of GNU make to not export all variables.
721# Otherwise a system limit (for SysV at least) may be exceeded.
722.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.